ONVIF::PTZ::Types::ImageStabilizationOptions(3)

NAME
ONVIF::PTZ::Types::ImageStabilizationOptions

DESCRIPTION
Perl data type class for the XML Schema defined complexType ImageStabilizationOptions from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Mode

•   Level

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::PTZ::Types::ImageStabilizationOptions
   Mode => $some_value, # ImageStabilizationMode
   Level =>  { # ONVIF::PTZ::Types::FloatRange
     Min =>  $some_value, # float
     Max =>  $some_value, # float
   },
   Extension =>  { # ONVIF::PTZ::Types::ImageStabilizationOptionsExtension
   },
 },

AUTHOR
Generated by SOAP::WSDL